Get KYC Capabilities
GET
Get KYC capabilities for a customer
header
X-Api-Key<token>API key in format: sti_env_prefix_secret
customerId*stringCustomer UUID
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidDefault Response
application/json- response
customer_id*CustomerIdCustomer UUID
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidcapabilities*array<>Granted KYC capabilities for this customer
curl -X GET 'https://api.sandbox.stables.money/api/v1/customer/497f6eca-6276-4993-bfeb-53cbbbba6f08/kyc-capabilities'Example Response
{ "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e", "capabilities": [ { "capability": "string", "kyc_level": "string", "status": "string", "granted_at": "2019-08-24T14:15:22Z" } ]}The verification capabilities a customer holds, such as proof_of_address. A kyc_capability requirement on an RFI is satisfied once the customer holds that capability.
Capabilities you submit through the API
| Capability | Submit with |
|---|---|
age_risk_acknowledgement | age_risk_acknowledged: true on Update Customer |
reason_for_use | reason_for_use on Update Customer |
Other capabilities, such as proof_of_address, come from the verification flow. See Older customers.